Bug 183614 - net/freerdp unnecessarily depends on print/cups-base instead of print/cups-client
Summary: net/freerdp unnecessarily depends on print/cups-base instead of print/cups-cl...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dima Panov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-03 12:30 UTC by Pavel Gubin
Modified: 2013-11-17 15:30 UTC (History)
0 users

See Also:


Attachments
file.diff (330 bytes, patch)
2013-11-03 12:30 UTC, Pavel Gubin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Gubin 2013-11-03 12:30:00 UTC
When building net/freerdp port with CUPS support enabled (default), it really wants library 'cups' (libcups.so) (which installed by print/cups-client), but dependency line incorrectly wants cups-base, the server part, which is not always needed.

How-To-Repeat: make -C /usr/ports/net/freerdp -DBATCH when cups-client is installed and cups-base is not.
Comment 1 Edwin Groothuis freebsd_committer 2013-11-03 12:30:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->fluffy

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-11-05 23:58:52 UTC
Author: fluffy
Date: Tue Nov  5 23:58:44 2013
New Revision: 332934
URL: http://svnweb.freebsd.org/changeset/ports/332934

Log:
  - Reduce unnecessary dependencies by use cups-client for library.
  
  PR:		183614
  Submitted by:	Pavel Gubin

Modified:
  head/net/freerdp/Makefile

Modified: head/net/freerdp/Makefile
==============================================================================
--- head/net/freerdp/Makefile	Tue Nov  5 23:38:16 2013	(r332933)
+++ head/net/freerdp/Makefile	Tue Nov  5 23:58:44 2013	(r332934)
@@ -71,7 +71,7 @@ PLIST_SUB+=	FFMPEG="@comment "
 
 .if ${PORT_OPTIONS:MCUPS}
 CMAKE_ARGS+=	-DWITH_CUPS=ON
-LIB_DEPENDS+=	cups:${PORTSDIR}/print/cups-base
+LIB_DEPENDS+=	cups:${PORTSDIR}/print/cups-client
 .else
 CMAKE_ARGS+=	-DWITH_CUPS=OFF
 .endif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Dima Panov freebsd_committer 2013-11-05 23:59:19 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-11-17 15:26:05 UTC
Author: fluffy
Date: Sun Nov 17 15:25:56 2013
New Revision: 334089
URL: http://svnweb.freebsd.org/changeset/ports/334089

Log:
  - Update to 2.5.3 security release
  - Remove outdated patches
  - Preserve configured database during upgrade [1]
  
  PR:		183614 [1]
  Submitted by:	Horia Racoviceanu [1]

Deleted:
  head/news/inn/files/extra-patch-scripts_innreport.in
  head/news/inn/files/extra-patch-scripts_innreport_inn.pm
  head/news/inn/files/patch-cve-2012-3523-minimal
Modified:
  head/news/inn/Makefile
  head/news/inn/distinfo   (contents, props changed)
  head/news/inn/files/patch-configure   (contents, props changed)
  head/news/inn/pkg-plist   (contents, props changed)

Modified: head/news/inn/Makefile
==============================================================================
--- head/news/inn/Makefile	Sun Nov 17 15:21:04 2013	(r334088)
+++ head/news/inn/Makefile	Sun Nov 17 15:25:56 2013	(r334089)
@@ -2,14 +2,14 @@
 # $FreeBSD$
 
 PORTNAME?=	inn
-PORTVERSION?=	2.5.2
-PORTREVISION?=	3
+PORTVERSION?=	2.5.3
+PORTREVISION?=	0
 CATEGORIES=	news ipv6
 # Master distribution broken
-#MASTER_SITES?=	${MASTER_SITE_ISC}
-#MASTER_SITE_SUBDIR?=	${PORTNAME}
-MASTER_SITES=	${MASTER_SITE_LOCAL}
-MASTER_SITE_SUBDIR=	fluffy
+MASTER_SITES?=	${MASTER_SITE_ISC}
+MASTER_SITE_SUBDIR?=	${PORTNAME}
+#MASTER_SITES=	${MASTER_SITE_LOCAL}
+#MASTER_SITE_SUBDIR=	fluffy
 
 MAINTAINER=	fluffy@FreeBSD.org
 COMMENT=	InterNetNews -- the Internet meets Netnews
@@ -49,6 +49,7 @@ NO_STAGE=	yes
 
 HAS_CONFIGURE=		yes
 CONFIGURE_ENV+=		LOCALBASE=${LOCALBASE}
+CONFIGURE_ENV+=		ac_cv_prog_AWK="${AWK}"
 CONFIGURE_ARGS+=	--mandir=${MANPREFIX}/man		\
 			--prefix=${INN_NEWSBASE}		\
 			--with-spool-dir=${INN_NEWSSPOOL}	\
@@ -133,7 +134,7 @@ PORTDOCS=	CONTRIBUTORS HACKING INSTALL L
 HEADERS=	clibrary.h config.h dbz.h libinn.h storage.h
 
 MAN1=		convdate.1 fastrm.1 getlist.1 grephistory.1 inews.1 innconfval.1 \
-		innfeed.1 innmail.1 nntpget.1 pgpverify.1 rnews.1 shlock.1 \
+		innmail.1 nntpget.1 pgpverify.1 rnews.1 shlock.1 \
 		shrinkfile.1 simpleftp.1 sm.1 pullnews.1
 MAN3=		INN::Config.3pm clientlib.3 dbz.3 inndcomm.3 libauth.3 libinn.3 \
 		libinnhist.3 libstorage.3 list.3 qio.3 tst.3 uwildmat.3
@@ -183,12 +184,6 @@ PLIST_SUB+=	ETCFILES="${CONFIG_FILES}"
 
 .include <bsd.port.pre.mk>
 
-# Perl 5.12 deprecated $[
-.if ${PERL_LEVEL} >= 501200
-EXTRA_PATCHES+=	${PATCHDIR}/extra-patch-scripts_innreport.in \
-		${PATCHDIR}/extra-patch-scripts_innreport_inn.pm
-.endif
-
 post-patch:
 	@${REINPLACE_CMD} -E 's!\$$[{(]PATHETC[})]!${EXAMPLESDIR}!g' \
 	                  ${WRKSRC}/site/Makefile

Modified: head/news/inn/distinfo
==============================================================================
--- head/news/inn/distinfo	Sun Nov 17 15:21:04 2013	(r334088)
+++ head/news/inn/distinfo	Sun Nov 17 15:25:56 2013	(r334089)
@@ -1,2 +1,2 @@
-SHA256 (inn-2.5.2.tar.gz) = f5edd48f48ecee9b6430db94fe504f893d7dfae4257f55f382ba1cf7375b4e68
-SIZE (inn-2.5.2.tar.gz) = 2331916
+SHA256 (inn-2.5.3.tar.gz) = 60f0042b144499680cc577a4330aeaac5dac20c5994649c0e945d32b5f8dbcf1
+SIZE (inn-2.5.3.tar.gz) = 2412119

Modified: head/news/inn/files/patch-configure
==============================================================================
--- head/news/inn/files/patch-configure	Sun Nov 17 15:21:04 2013	(r334088)
+++ head/news/inn/files/patch-configure	Sun Nov 17 15:25:56 2013	(r334089)
@@ -1,7 +1,7 @@
---- configure.orig	2010-03-25 06:10:36.000000000 +1000
-+++ configure	2012-06-27 21:44:02.000000000 +1100
-@@ -15762,7 +15762,7 @@
- echo $ECHO_N "checking for Berkeley DB location... $ECHO_C" >&6; }
+--- configure.orig	2012-06-16 05:25:36.000000000 +1100
++++ configure	2013-11-18 02:00:26.831865533 +1100
+@@ -14595,7 +14595,7 @@
+ $as_echo_n "checking for Berkeley DB location... " >&6; }
      if test x"$DB_DIR" = xyes ; then
          for dir in $prefix /usr/local /usr ; do
 -            if test -f "$dir/include/db.h" ; then
@@ -9,15 +9,15 @@
                  DB_DIR=$dir
                  break
              fi
-@@ -15773,9 +15773,9 @@
- echo "$as_me: error: cannot find Berkeley DB" >&2;}
-    { (exit 1); exit 1; }; }
+@@ -14604,9 +14604,9 @@
+     if test x"$DB_DIR" = xyes ; then
+         as_fn_error $? "cannot find Berkeley DB" "$LINENO" 5
      else
 -        DB_CPPFLAGS="-I$DB_DIR/include"
 +        DB_CPPFLAGS="-I$DB_DIR/include/${DB_VER}"
          DB_LDFLAGS="-L$DB_DIR/lib"
 -        DB_LIBS="-ldb"
 +        DB_LIBS="-l${DB_LIB}"
-         { echo "$as_me:$LINENO: result: $DB_DIR" >&5
- echo "${ECHO_T}$DB_DIR" >&6; }
+         { $as_echo "$as_me:${as_lineno-$LINENO}: result: $DB_DIR" >&5
+ $as_echo "$DB_DIR" >&6; }
      fi

Modified: head/news/inn/pkg-plist
==============================================================================
--- head/news/inn/pkg-plist	Sun Nov 17 15:21:04 2013	(r334088)
+++ head/news/inn/pkg-plist	Sun Nov 17 15:25:56 2013	(r334089)
@@ -161,6 +161,7 @@ lib/libinn.a
 lib/libinnhist.a
 lib/libstorage.a
 lib/perl/INN/Config.pm
+lib/perl/INN/Utils/Shlock.pm
 @comment --------------------------------------------------------------
 @cwd
 @exec mkdir -p %%DBDIR%%
@@ -201,10 +202,14 @@ lib/perl/INN/Config.pm
 %%EXAMPLESDIR%%/inn.conf
 %%EXAMPLESDIR%%/innfeed.conf
 %%EXAMPLESDIR%%/innreport.conf
+%%EXAMPLESDIR%%/innshellvars.local
+%%EXAMPLESDIR%%/innshellvars.pl.local
+%%EXAMPLESDIR%%/innshellvars.tcl.local
 %%EXAMPLESDIR%%/innwatch.ctl
 %%EXAMPLESDIR%%/localgroups
 %%EXAMPLESDIR%%/moderators
-%%EXAMPLESDIR%%/motd.news
+%%EXAMPLESDIR%%/motd.innd
+%%EXAMPLESDIR%%/motd.nnrpd
 %%EXAMPLESDIR%%/news2mail.cf
 %%EXAMPLESDIR%%/newsfeeds
 %%EXAMPLESDIR%%/nnrpd.track
@@ -222,7 +227,7 @@ lib/perl/INN/Config.pm
 @comment --------------------------------------------------------------
 @dirrm %%EXAMPLESDIR%%/db
 @dirrm %%EXAMPLESDIR%%
-@unexec rm -Rf %%TMPDIR%%                 2>/dev/null || true
+@unexec rmdir  %%TMPDIR%%                 2>/dev/null || true
 @unexec rmdir  %%SHAREDIR%%               2>/dev/null || true
 @unexec rmdir  %%NEWSSPOOL%%/overview     2>/dev/null || true
 @unexec rmdir  %%NEWSSPOOL%%/outgoing     2>/dev/null || true
@@ -231,21 +236,23 @@ lib/perl/INN/Config.pm
 @unexec rmdir  %%NEWSSPOOL%%/incoming     2>/dev/null || true
 @unexec rmdir  %%NEWSSPOOL%%/articles     2>/dev/null || true
 @unexec rmdir  %%NEWSSPOOL%%/archive      2>/dev/null || true
-@unexec rm -Rf %%NEWSSPOOL%%/tmp          2>/dev/null || true
 @unexec rmdir  %%NEWSSPOOL%%              2>/dev/null || true
-@unexec rm -Rf %%RUNDIR%%                 2>/dev/null || true
-@unexec rm -R  %%NEWSBASE%%/http
-@unexec rm -R  %%NEWSBASE%%/lib
-@unexec rm -R  %%NEWSBASE%%/include/inn
-@unexec rm -R  %%NEWSBASE%%/include
+@unexec rmdir  %%RUNDIR%%                 2>/dev/null || true
+@unexec rmdir  %%NEWSBASE%%/http
+@unexec rmdir  %%NEWSBASE%%/lib/perl/INN/Utils
+@unexec rmdir  %%NEWSBASE%%/lib/perl/INN
+@unexec rmdir  %%NEWSBASE%%/lib/perl
+@unexec rmdir  %%NEWSBASE%%/lib
+@unexec rmdir  %%NEWSBASE%%/include/inn
+@unexec rmdir  %%NEWSBASE%%/include
 @unexec rmdir  %%ETCDIR%%                 2>/dev/null || true
-@unexec rm -Rf %%NEWSBASE%%/doc
+@unexec rmdir  %%NEWSBASE%%/doc
 @unexec rmdir  %%DBDIR%%                  2>/dev/null || true
-@unexec rm -Rf %%NEWSBASE%%/bin/rnews.libexec
-@unexec rm -Rf %%NEWSBASE%%/bin/filter
-@unexec rm -Rf %%NEWSBASE%%/bin/control
-@unexec rm -Rf %%NEWSBASE%%/bin/auth/resolv
-@unexec rm -Rf %%NEWSBASE%%/bin/auth/passwd
-@unexec rm -Rf %%NEWSBASE%%/bin/auth
-@unexec rm -Rf %%NEWSBASE%%/bin
+@unexec rmdir  %%NEWSBASE%%/bin/rnews.libexec
+@unexec rmdir  %%NEWSBASE%%/bin/filter
+@unexec rmdir  %%NEWSBASE%%/bin/control
+@unexec rmdir  %%NEWSBASE%%/bin/auth/resolv
+@unexec rmdir  %%NEWSBASE%%/bin/auth/passwd
+@unexec rmdir  %%NEWSBASE%%/bin/auth
+@unexec rmdir  %%NEWSBASE%%/bin
 @unexec rmdir %%NEWSBASE%% 2>/dev/null ||( echo "===>  If you don't plan to use inn later, you can safely remove %%NEWSBASE%%. Deinstall process kept these files intact:" | fmt && for i in $(find %D/news -type f); do echo "    - $i"; done)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"